<project xmlns="http://maven.apache.org/POM/4.0.0"
		 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>mams-ucd</groupId>
	<artifactId>mams-list</artifactId>
	<version>0.1.0</version>

    <parent>
        <groupId>astra</groupId>
        <artifactId>astra-cartago-base</artifactId>
        <version>2.4.0</version>
    </parent>

    <properties>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
    </properties>    

    <repositories>
		<repository>
			<id>astra-repo</id>
			<url>https://gitlab.com/astra-language/astra-mvn-repo/raw/master</url>
		</repository>
		<repository>
			<id>mams-ucd</id>
			<url>https://gitlab.com/mams-ucd/mams-mvn-repo/raw/master/</url>
		</repository>
    </repositories>
    
    <dependencies>
        <dependency>
            <groupId>mams-ucd</groupId>
            <artifactId>mams-astra-hal</artifactId>
            <version>0.1.0</version>
        </dependency>
    </dependencies>
    
    <build>
        <defaultGoal>clean compile astra:deploy</defaultGoal>
        <plugins>
            <plugin>
                <groupId>astra</groupId>
                <artifactId>astra-maven-plugin</artifactId>
            </plugin>
            <plugin>
                <!-- NOTE: We don't need a groupId specification because the group is
                    org.apache.maven.plugins ...which is assumed by default.
                -->
                <artifactId>maven-assembly-plugin</artifactId>
                <version>3.2.0</version>
                <configuration>
                <descriptorRefs>
                    <descriptorRef>jar-with-dependencies</descriptorRef>
                </descriptorRefs>
                </configuration>
            </plugin>            
        </plugins>
    </build>
</project>

